Bug 9206 - identd runs as root, not nobody
Summary: identd runs as root, not nobody
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pidentd   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords: Security
: 9539 9540 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-08 09:25 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-21 16:02:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wingc 2000-02-08 09:25:48 UTC
The identd daemon in Red Hat 6.1 runs as the root user, not 'nobody', which
is unnecessary and for all I know may lead to a security compromise. There
are actually 2 separate bugs:

1. in /etc/inetd.conf, identd is run as 'root' instead of 'nobody'
	(this should be marked as a bug in netkit-base, I know)

2. (more importantly) the identd code is multithreaded but is not aware of
the fact that threads do not share UIDs in Linux. This causes some of the
identd threads to run as root when identd is started from init. identd also
fails to drop supplimental group IDs, which results in it having group ID 0
anyway.

A fix against pidentd-3.0.10, the version in the current Raw Hide, is
located at:

http://www.engin.umich.edu/caen/systems/Linux/code/patches/pidentd-3.0.10-security.patch


Thanks,

Chris Wing
wingc@engin.umich.edu

Comment 1 Bill Nottingham 2000-02-21 16:02:59 UTC
*** Bug 9539 has been marked as a duplicate of this bug. ****** Bug 9540 has been marked as a duplicate of this bug. ***Will be fixed in pidentd-3.0.10-4.


Note You need to log in before you can comment on or make changes to this bug.